Page MenuHomePhabricator

Write a script to remove RelatedSites links from pages on a given wiki
Closed, ResolvedPublic2 Story Points

Description

RelatedSites extension is being deprecated. See T185206: RelatedSites: Code stewardship review for more context.

Several of the wikivoyages we will be de-deploying this extension are quite small and lack the resources to remove all the links themselves. Quite a few of them have inactive village pumps and it's very hard to get consensus. I don't imagine any backlash if we just go ahead and do this, since we have announced it and haven't received any feedback.

This task is to create a script that will remove all RelatedSites links all from pages on a given wiki

I will follow this up with separate tasks for removing the extension from each wiki.

Event Timeline

Niharika created this task.Aug 3 2018, 11:48 PM
Niharika triaged this task as Low priority.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptAug 3 2018, 11:48 PM
Niharika raised the priority of this task from Low to Normal.Aug 3 2018, 11:48 PM
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Reedy renamed this task from Write a script to remove RelatedSites links from pages on a give wiki to Write a script to remove RelatedSites links from pages on a given wiki.Aug 5 2018, 12:55 PM
Niharika set the point value for this task to 2.Aug 7 2018, 11:35 PM

Just to confirm, this script will delete interwiki links to 'commons', 'dmoz', 'citizendium', and 'wikipedia' where they appear on a line by themselves (e.g. ^\[\[(commons|dmoz|citizendium|wikipedia):.*\]\]$)? And it doesn't have to do any checking for equivalent Wikidata sitelinks?

Just to confirm, this script will delete interwiki links to 'commons', 'dmoz', 'citizendium', and 'wikipedia' where they appear on a line by themselves (e.g. ^\[\[(commons|dmoz|citizendium|wikipedia):.*\]\]$)? And it doesn't have to do any checking for equivalent Wikidata sitelinks?

That is correct.

From conversation with Sam, it seems like Max is probably the best fit to do this ticket as he 1) has access to Windows on his machine 2) knows AWB better than anyone else on this team 3) has worked on this project a bit in the past.

@Samwilson You can unassign yourself from this ticket and move it back out of the sprint, unless you are planning on working on it.

Niharika updated the task description. (Show Details)Aug 24 2018, 6:20 PM
JJMC89 added a subscriber: JJMC89.Aug 24 2018, 6:35 PM

If I were to take this on as a volunteer, does Community-Tech want to code review the script?

If I were to take this on as a volunteer, does Community-Tech want to code review the script?

@JJMC89 The best person to review this would be @MaxSem who's on vacation for a while. It'd be best if you wait until he gets back. His idea to do this task was by using AutoWikiBrowser.

MaxSem claimed this task.

Proposed AWB config:


On each target wiki, click on Make list, then Start. Enable Skip if no replacement after making sure the bot works on a large number articles.

JJMC89 removed a subscriber: JJMC89.Sep 5 2018, 12:12 AM
MaxSem closed this task as Resolved.Sep 25 2018, 10:21 PM
MaxSem moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.